### Enumeration

# Qmi UimConfiguration

since: 1.30

#### Declaration

    flags Qmi.UimConfiguration

#### Description [src]

Requested configurations. If none explicitly requested, all configuration items are returned.

Available since: 1.30

#### Members

`QMI_UIM_CONFIGURATION_AUTOMATIC_SELECTION`

  Automatic selection.

  - Value: `1`
  - Available since: 1.30
`QMI_UIM_CONFIGURATION_PERSONALIZATION_STATUS`

  Personalization status.

  - Value: `2`
  - Available since: 1.30
`QMI_UIM_CONFIGURATION_HALT_SUBSCRIPTION`

  Halt publication of subscription.

  - Value: `4`
  - Available since: 1.30

#### Type functions

###### qmi_uim_configuration_build_string_from_mask

Builds a string containing a comma-separated list of nicknames for each `QmiUimConfiguration` in `mask`.

since: 1.30